%define upstream_name Type-Tie
%define upstream_version 0.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tie a variable to a type constraint
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tie/TOBYINK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
This module exports a single function: `ttie`. `ttie` ties a variable to a
type constraint, ensuring that whatever values stored in the variable will
conform to the type constraint. If the type constraint has coercions,
these will be used if necessary to ensure values assigned to the variable
conform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.15.0-2.mga9
+ Revision: 1813603
- Mageia 9 Mass Rebuild

* Thu Nov 19 2020 tv <tv> 0.15.0-1.mga8
+ Revision: 1647477
- update to 0.015

* Sat Feb 15 2020 umeabot <umeabot> 0.14.0-2.mga8
+ Revision: 1523309
- Mageia 8 Mass Rebuild

* Tue Feb 26 2019 tv <tv> 0.14.0-1.mga7
+ Revision: 1370215
- update to 0.014

* Tue Jan 08 2019 tv <tv> 0.13.0-1.mga7
+ Revision: 1351976
- update to 0.013

* Thu Jan 03 2019 tv <tv> 0.12.0-1.mga7
+ Revision: 1348783
- update to 0.012

* Thu Sep 20 2018 umeabot <umeabot> 0.11.0-2.mga7
+ Revision: 1287137
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 tv <tv> 0.11.0-1.mga7
+ Revision: 1240117
- update to 0.011

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-3.mga6
+ Revision: 1035428
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 968644
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 854157
- update to 0.009

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 749199
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.8.0-1.mga5
+ Revision: 672947
- update to 0.008

* Mon Feb 24 2014 jquelin <jquelin> 0.7.0-1.mga5
+ Revision: 596373
- update to 0.007

* Sun Feb 09 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 587618
- imported package perl-Type-Tie

